package io.renren.service.impl;

import io.renren.dao.SysBranchMapper;
import io.renren.entity.SysBranch;
import io.renren.service.ISysBranchService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;


/**
 * 部门管理Service业务层处理
 *
 * @author dcsoft
 * @date 2023-03-07
 */
@Slf4j
@Service
public class SysBranchServiceImpl implements ISysBranchService
{
    @Autowired
    private SysBranchMapper sysBranchMapper;



    /**
     * 查询部门管理
     *
     * @param id 部门管理主键
     * @return 部门管理
     */
    @Override
    public SysBranch selectSysBranchById(String id)
    {
        return sysBranchMapper.selectSysBranchById(id);
    }

    /**
     * 查询部门管理列表
     *
     * @param sysBranch 部门管理
     * @return 部门管理
     */
    @Override
    public List<SysBranch> selectSysBranchList(SysBranch sysBranch)
    {
        return sysBranchMapper.selectSysBranchList(sysBranch);
    }

    /**
     * 新增部门管理
     *
     * @param sysBranch 部门管理
     * @return 结果
     */
    @Override
    public int insertSysBranch(SysBranch sysBranch)
    {
        sysBranch.setCreateTime(new Date());
        //部门增量同步
        //syncRuleService.addDept(sysBranch,"add");
        return sysBranchMapper.insertSysBranch(sysBranch);
    }



    /**
     * 修改部门管理
     *
     * @param sysBranch 部门管理
     * @return 结果
     */
    @Override
    public int updateSysBranch(SysBranch sysBranch)
    {
        sysBranch.setUpdateTime(new Date());
        //部门增量同步
       // syncRuleService.addDept(sysBranch,"update");
        return sysBranchMapper.updateSysBranch(sysBranch);
    }

    /**
     * 批量删除部门管理
     *
     * @param ids 需要删除的部门管理主键
     * @return 结果
     */
    @Override
    public int deleteSysBranchByIds(String[] ids)
    {

        return sysBranchMapper.deleteSysBranchByIds(ids);
    }

    /**
     * 删除部门管理信息
     *
     * @param id 部门管理主键
     * @return 结果
     */
    @Override
    public int deleteSysBranchById(String id)
    {
        return sysBranchMapper.deleteSysBranchById(id);
    }

    @Override
    public List<SysBranch> buildBranchTree(List<SysBranch> branchs) {
        return null;
    }

    @Override
    public SysBranch selectSysBranchByDeptId(Long parentId) {
        return null;
    }


}
